> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/security-testing-agent-apis/security-testing-orchestration/system.md).

# System

Unauthenticated support endpoints

## GET /api/v2/system/health

> Check service health

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"System","description":"Unauthenticated support endpoints"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"paths":{"/api/v2/system/health":{"get":{"tags":["System"],"description":"Check service health","operationId":"System#health","responses":{"204":{"description":"Service is healthy."},"500":{"description":"InternalServerError: Internal Server Error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}},"components":{"schemas":{"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}}}
```

## GET /api/v2/system/version

> Get service version

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"System","description":"Unauthenticated support endpoints"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"paths":{"/api/v2/system/version":{"get":{"tags":["System"],"description":"Get service version","operationId":"System#version","responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceVersion"}}}}}}}},"components":{"schemas":{"ServiceVersion":{"type":"object","properties":{"commit":{"type":"string","description":"Build identifier"},"version":{"type":"string","description":"Version number"}},"required":["version","commit"]}}}}
```
